Databases - Import

bacpac을 새 데이터베이스로 가져옵니다.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/import?api-version=2014-04-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
resourceGroupName
path True

string

리소스를 포함하는 리소스 그룹의 이름입니다. Azure Resource Manager API 또는 포털에서 이 값을 가져올 수 있습니다.

serverName
path True

string

서버의 이름입니다.

subscriptionId
path True

string

Azure 구독을 식별하는 구독 ID입니다.

api-version
query True

string

요청에 사용할 API 버전입니다.

요청 본문

Name 형식 Description
parameters

ImportRequest

Bacpac을 데이터베이스로 가져오는 데 필요한 매개 변수입니다.

응답

Name 형식 Description
200 OK

ImportExportResponse

그래

202 Accepted

수락됨

예제

Import bacpac into new database Max with SAS key
Import bacpac into new database Max with storage key
Import bacpac into new database Min with SAS key
Import bacpac into new database Min with storage key

Import bacpac into new database Max with SAS key

샘플 요청

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/import?api-version=2014-04-01

{
  "databaseName": "TestDbImport",
  "edition": "Basic",
  "serviceObjectiveName": "Basic",
  "maxSizeBytes": "2147483648",
  "storageKeyType": "SharedAccessKey",
  "storageKey": "?sr=b&sp=rw&se=2018-01-01T00%3A00%3A00Z&sig=sdfsdfklsdjflSLIFJLSIEJFLKSDJFDd/%2wdfskdjf3%3D&sv=2015-07-08",
  "storageUri": "https://test.blob.core.windows.net/bacpacs/testbacpac.bacpac",
  "administratorLogin": "dummyLogin",
  "administratorLoginPassword": "<administratorLoginPassword>",
  "authenticationType": "SQL"
}

샘플 응답

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/importExportOperationResult/f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
  "name": "f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
  "type": "Microsoft.Sql/servers/importExportOperationResults",
  "properties": {
    "requestId": "f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
    "requestType": "Import",
    "queuedTime": "3/1/2017 12:14:25 AM",
    "lastModifiedTime": "3/1/2017 12:16:33 AM",
    "blobUri": "https://test.blob.core.windows.net/bacpacs/test.bacpac",
    "serverName": "test",
    "databaseName": "testdb",
    "status": "Completed",
    "errorMessage": null
  }
}

Import bacpac into new database Max with storage key

샘플 요청

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/import?api-version=2014-04-01

{
  "databaseName": "TestDbImport",
  "edition": "Basic",
  "serviceObjectiveName": "Basic",
  "maxSizeBytes": "2147483648",
  "storageKeyType": "StorageAccessKey",
  "storageKey": "sdlfkjdsf+sdlfkjsdlkfsjdfLDKFJSDLKFDFKLjsdfksjdflsdkfD2342309432849328479324/3RSD==",
  "storageUri": "https://test.blob.core.windows.net/bacpacs/testbacpac.bacpac",
  "administratorLogin": "dummyLogin",
  "administratorLoginPassword": "<administratorLoginPassword>",
  "authenticationType": "SQL"
}

샘플 응답

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/importExportOperationResult/f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
  "name": "f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
  "type": "Microsoft.Sql/servers/importExportOperationResults",
  "properties": {
    "requestId": "f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
    "requestType": "Import",
    "queuedTime": "3/1/2017 12:14:25 AM",
    "lastModifiedTime": "3/1/2017 12:16:33 AM",
    "blobUri": "https://test.blob.core.windows.net/bacpacs/test.bacpac",
    "serverName": "test",
    "databaseName": "testdb",
    "status": "Completed",
    "errorMessage": null
  }
}

Import bacpac into new database Min with SAS key

샘플 요청

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/import?api-version=2014-04-01

{
  "databaseName": "TestDbImport",
  "edition": "Basic",
  "serviceObjectiveName": "Basic",
  "maxSizeBytes": "2147483648",
  "storageKeyType": "SharedAccessKey",
  "storageKey": "?sr=b&sp=rw&se=2018-01-01T00%3A00%3A00Z&sig=sdfsdfklsdjflSLIFJLSIEJFLKSDJFDd/%2wdfskdjf3%3D&sv=2015-07-08",
  "storageUri": "https://test.blob.core.windows.net/bacpacs/testbacpac.bacpac",
  "administratorLogin": "dummyLogin",
  "administratorLoginPassword": "<administratorLoginPassword>"
}

샘플 응답

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/importExportOperationResult/f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
  "name": "f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
  "type": "Microsoft.Sql/servers/importExportOperationResults",
  "properties": {
    "requestId": "f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
    "requestType": "Import",
    "queuedTime": "3/1/2017 12:14:25 AM",
    "lastModifiedTime": "3/1/2017 12:16:33 AM",
    "blobUri": "https://test.blob.core.windows.net/bacpacs/test.bacpac",
    "serverName": "test",
    "databaseName": "testdb",
    "status": "Completed",
    "errorMessage": null
  }
}

Import bacpac into new database Min with storage key

샘플 요청

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/import?api-version=2014-04-01

{
  "databaseName": "TestDbImport",
  "edition": "Basic",
  "serviceObjectiveName": "Basic",
  "maxSizeBytes": "2147483648",
  "storageKeyType": "StorageAccessKey",
  "storageKey": "sdlfkjdsf+sdlfkjsdlkfsjdfLDKFJSDLKFDFKLjsdfksjdflsdkfD2342309432849328479324/3RSD==",
  "storageUri": "https://test.blob.core.windows.net/bacpacs/testbacpac.bacpac",
  "administratorLogin": "dummyLogin",
  "administratorLoginPassword": "<administratorLoginPassword>"
}

샘플 응답

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/importExportOperationResult/f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
  "name": "f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
  "type": "Microsoft.Sql/servers/importExportOperationResults",
  "properties": {
    "requestId": "f01d7bfe-7162-44e7-9350-f1c85ce83e4c",
    "requestType": "Import",
    "queuedTime": "3/1/2017 12:14:25 AM",
    "lastModifiedTime": "3/1/2017 12:16:33 AM",
    "blobUri": "https://test.blob.core.windows.net/bacpacs/test.bacpac",
    "serverName": "test",
    "databaseName": "testdb",
    "status": "Completed",
    "errorMessage": null
  }
}

정의

Name Description
AuthenticationType

인증 유형입니다.

DatabaseEdition

만들 데이터베이스에 대한 버전입니다.

SKU 목록은 지역 및 지원 제품에 따라 다를 수 있습니다. Azure 지역의 구독에 사용할 수 있는 SKU 이름, 계층/버전, 제품군 및 용량을 포함한 SKU를 확인하려면 Capabilities_ListByLocation REST API 또는 다음 명령 중 하나를 사용합니다.

az sql db list-editions -l <location> -o table
Get-AzSqlServerServiceObjective -Location <location>
ImportExportResponse

가져오기/내보내기 작업에 대한 응답입니다.

ImportRequest

Bacpac을 데이터베이스로 가져오는 데 필요한 매개 변수입니다.

ServiceObjectiveName

데이터베이스에 할당할 서비스 목표의 이름입니다.

StorageKeyType

사용할 스토리지 키의 형식입니다.

AuthenticationType

인증 유형입니다.

값 Description
SQL
ADPassword

DatabaseEdition

만들 데이터베이스에 대한 버전입니다.

SKU 목록은 지역 및 지원 제품에 따라 다를 수 있습니다. Azure 지역의 구독에 사용할 수 있는 SKU 이름, 계층/버전, 제품군 및 용량을 포함한 SKU를 확인하려면 Capabilities_ListByLocation REST API 또는 다음 명령 중 하나를 사용합니다.

az sql db list-editions -l <location> -o table
Get-AzSqlServerServiceObjective -Location <location>
값 Description
Web
Business
Basic
Standard
Premium
PremiumRS
Free
Stretch
DataWarehouse
System
System2
GeneralPurpose
BusinessCritical
Hyperscale

ImportExportResponse

가져오기/내보내기 작업에 대한 응답입니다.

Name 형식 Description
id

string

리소스 ID입니다.

name

string

리소스 이름입니다.

properties.blobUri

string

Blob uri입니다.

properties.databaseName

string

데이터베이스의 이름입니다.

properties.errorMessage

string

서버에서 반환된 오류 메시지입니다.

properties.lastModifiedTime

string

작업 상태가 마지막으로 수정된 시간입니다.

properties.queuedTime

string

작업 대기 시간입니다.

properties.requestId

string (uuid)

작업의 요청 유형입니다.

properties.requestType

string

작업의 요청 유형입니다.

properties.serverName

string

서버의 이름입니다.

properties.status

string

서버에서 반환된 상태 메시지입니다.

type

string

리소스 종류입니다.

ImportRequest

Bacpac을 데이터베이스로 가져오는 데 필요한 매개 변수입니다.

Name 형식 Default value Description
administratorLogin

string

SQL 관리자의 이름입니다.

administratorLoginPassword

string

SQL 관리자의 암호입니다.

authenticationType

AuthenticationType

SQL

인증 유형입니다.

databaseName

string

가져올 데이터베이스의 이름입니다.

edition

DatabaseEdition

만들 데이터베이스에 대한 버전입니다.

SKU 목록은 지역 및 지원 제품에 따라 다를 수 있습니다. Azure 지역의 구독에 사용할 수 있는 SKU 이름, 계층/버전, 제품군 및 용량을 포함한 SKU를 확인하려면 Capabilities_ListByLocation REST API 또는 다음 명령 중 하나를 사용합니다.

az sql db list-editions -l <location> -o table
Get-AzSqlServerServiceObjective -Location <location>
maxSizeBytes

string

새로 가져온 데이터베이스의 최대 크기입니다.

serviceObjectiveName

ServiceObjectiveName

데이터베이스에 할당할 서비스 목표의 이름입니다.

storageKey

string

사용할 스토리지 키입니다. 스토리지 키 형식이 SharedAccessKey인 경우 앞에 "?"가 와야 합니다.

storageKeyType

StorageKeyType

사용할 스토리지 키의 형식입니다.

storageUri

string

사용할 스토리지 URI입니다.

ServiceObjectiveName

데이터베이스에 할당할 서비스 목표의 이름입니다.

값 Description
System
System0
System1
System2
System3
System4
System2L
System3L
System4L
Free
Basic
S0
S1
S2
S3
S4
S6
S7
S9
S12
P1
P2
P3
P4
P6
P11
P15
PRS1
PRS2
PRS4
PRS6
DW100
DW200
DW300
DW400
DW500
DW600
DW1000
DW1200
DW1000c
DW1500
DW1500c
DW2000
DW2000c
DW3000
DW2500c
DW3000c
DW6000
DW5000c
DW6000c
DW7500c
DW10000c
DW15000c
DW30000c
DS100
DS200
DS300
DS400
DS500
DS600
DS1000
DS1200
DS1500
DS2000
ElasticPool

StorageKeyType

사용할 스토리지 키의 형식입니다.

값 Description
StorageAccessKey
SharedAccessKey